Get profile – Management API – MediaKind
Get profile
get https://app.mk.io/api/v1/user/profile
This endpoint returns the details of the current user.
Requires authentication; no additional RBAC permissions required.
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Response
200 OK
- kind: string (Required)
The kind of record. - metadata: object UserMetadata (Required)
Metadata.- id: string (Required, format: uuid)
The unique identifier of the user.
- id: string (Required, format: uuid)
- spec: object UserProfileSpec_v1 (Required)
Specification.- activeOrganizationId: string (Required)
Currently selected organization. - avatar: string (Required, <=200 characters) Avatar.
- company: string (Optional, 0-1024 characters)
Company. - contactEmail: string (Required, 1-1024 characters)
Contact email address. - country: string (Optional, 0-1024 characters) Country.
- features: map from strings to any (Required) Internally managed set of flags indicating access to preview or new features.
- isActive: boolean (Required) Is this user active?
- jobRole: string (Optional, 0-1024 characters) Job Role.
- loginEmail: string (Required, 1-1024 characters) Email address used for login.
- name: string (Optional, 1-1024 characters) Full name.
- phoneNumber: string (Optional, 0-1024 characters) Phone number including international dialing code.
- activeOrganizationId: string (Required)
Errors
400 Bad Request
- error: object ErrorDetail (Required)
Pertinent information about the error.- code: string (Required)
The error code. - detail: string (Required)
The error message. - extraDetail: map from strings to any (Optional) Extra information regarding this error.
- ref: string (Required)
A reference to the request that caused the error. - status: integer (Required)
The HTTP status code.
- code: string (Required)
401 Unauthorized
- error: object ErrorDetail (Required)
Pertinent information about the error (similar structure as above).
403 Forbidden
- error: object ErrorDetail (Required)
Pertinent information about the error (similar structure as above).
404 Not Found
- error: object ErrorDetail (Required)
Pertinent information about the error (similar structure as above).
429 Too Many Requests
- error: object ErrorDetail (Required)
Pertinent information about the error (similar structure as above).
500 Internal Server Error
- error: object ErrorDetail (Required)
Pertinent information about the error (similar structure as above).